import sys
import glob
from distutils.core import setup
import py2exe
from wx_utils import manifest

if not 'py2exe' in sys.argv:
  sys.argv.insert(1, 'py2exe')

py2exe_options = {
  'compressed': 1,
  'optimize': 0,
  'includes': ['keyword'],
  'excludes': ['custom'],
  'dll_excludes': [],
  'packages': [],
  'bundle_files': 2}

setup(
  options = {'py2exe': py2exe_options},
  windows = [{
    'script' : 'wx_editor.py',
    'icon_resources': [(1, 'main_icon.ico')],
    'other_resources': [(24,1,manifest('wx_editor'))],
  }],
  data_files = [('custom', glob.glob(u'custom/*.py'))],
  zipfile = None)
