import wx
import wx.stc  as  stc
from default import StyledTextCtrl, register

class BatchSTC(StyledTextCtrl):
  lexer = stc.STC_LEX_BATCH

register(u'.bat', u'Batch File (*.bat)', BatchSTC)
register(u'.cmd', u'Batch File (*.cmd)', BatchSTC)

class ConfigSTC(StyledTextCtrl):
  lexer = stc.STC_LEX_CONF

register(u'.conf', u'Conf File (*.conf)', ConfigSTC)

class CppSTC(StyledTextCtrl):
  lexer = stc.STC_LEX_CPP

register(u'.h', u'C Header (*.h)', CppSTC)
register(u'.hpp', u'Cpp Header (*.hpp)', CppSTC)
register(u'.c', u'C Source (*.c)', CppSTC)
register(u'.cpp', u'Cpp Source (*.cpp)', CppSTC)

class HtmlSTC(StyledTextCtrl):
  lexer = stc.STC_LEX_HTML

register(u'.htm', u'Html Source (*.htm)', HtmlSTC)
register(u'.html', u'Html Source (*.html)', HtmlSTC)

class XmlSTC(StyledTextCtrl):
  lexer = stc.STC_LEX_XML

register(u'.xml', u'Xml Source (*.xml)', XmlSTC)
register(u'.xrc', u'Xml Resource File (*.xrc)', XmlSTC)
register(u'.rss', u'Rdf Site Summary File (*.xrc)', XmlSTC)
